Package org.eclipse.zest.cloudio

# Class Word

java.lang.Object
org.eclipse.zest.cloudio.Word

public class Word extends Object
Helper class which stores all data required to render an element.

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`angle`
`Object`
`data`
`int`
`height`
`short`
`id`
`final String`
`string`
`Point`
`stringExtent`
`RectTree`
`tree`
`double`
`weight`
`int`
`width`
`int`
`x`
`int`
`y`

## Constructor Summary

Constructors
Constructor
Description
`Word(String string)`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getColor()`
`FontData[]`
`getFontData()`
`void`
`setColor(Color color)`
`void`
`setFontData(FontData[] fontData)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### string

public final String string

### weight

public double weight

### x

public int x

### y

public int y

### tree

public RectTree tree

### angle

public float angle

### id

public short id

### height

public int height

### width

public int width

### data

public Object data

### stringExtent

public Point stringExtent

## Constructor Details

### Word

public Word(String string)

## Method Details

### getFontData

public FontData[] getFontData()

### setFontData

public void setFontData(FontData[] fontData)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### setColor

public void setColor(Color color)

### getColor

public Color getColor()